import { jsx } from "react/jsx-runtime";
import { NetworkKatana as NetworkKatana$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const NetworkKatana = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "Katana", "data-name": "NetworkKatana", ...props, children: /* @__PURE__ */ jsx(NetworkKatana$1, { variant }) });
  }
);
NetworkKatana.displayName = "NetworkKatana";
Object.assign(NetworkKatana, { isGdsIcon: true });
export {
  NetworkKatana
};
